<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
               xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">

    <module name="account" package="com.axelor.apps.account.db"/>

    <entity name="CashRegister" lang="java">

        <string name="ref" title="Reference" namecolumn="true" required="false"/>
        <integer name="statusSelect" title="Status" default="1" readonly="true" selection="account.cash.register.status.select"/>

        <decimal name="theoricalSolde" title="Theorical Solde"/>
        <decimal name="physicalSolde" title="Physical Solde"/>
        <many-to-one name="company" ref="com.axelor.apps.base.db.Company" title="Company"/>
        
        <string name="description" title="Description" large="true"/>

        <many-to-one name="openedBy" ref="com.axelor.auth.db.User" readonly="true" title="Opened by"/> 
        <datetime name="openedAt" title="Opened at" readonly="true"/>

        <many-to-one name="closedBy" ref="com.axelor.auth.db.User" readonly="true" title="Closed by"/> 
        <datetime name="closedAt" title="Closed at" readonly="true"/>
                
        
        <track>
      		<field name="ref"/>
      		<field name="statusSelect"/>
      		<field name="theoricalSolde"/>
      		<field name="physicalSolde"/>
      	</track>

    </entity>
</domain-models>
